import OathHammerItemSheet from "./base-item-sheet.mjs"

export default class OathHammerEquipmentSheet extends OathHammerItemSheet {
  /** @override */
  static DEFAULT_OPTIONS = {
    classes: ["equipment"],
    position: {
      width: 620,
    },
    window: {
      contentClasses: ["equipment-content"],
    },
  }

  /** @override */
  static PARTS = {
    main: {
      template: "systems/fvtt-oath-hammer/templates/item/equipment-sheet.hbs",
    },
  }

  /** @override */
  async _prepareContext() {
    const context = await super._prepareContext()
    return context
  }
}
